Skip to content

getRegistrationUrl.v1

POST
/shopgate.user.getRegistrationUrl.v1

Fetches required data from the shop, if needed, and creates a registration URL out of it. Usually these links are static, but they could contain information like affiliate data or tokens, if required. The URL should not expire, because it’s fetched only once in the default theme.

Media typeapplication/json
object
Examplegenerated
{}

Returns the registration url.

Media typeapplication/json
Url
object
url
required

URL

string
expires

An optional date-time-string in the format ISO 8601 (YYYY-MM-DDTH:i:s.fZ). The URL does not expire if this field is not set. The returned timezone is always UTC (+00:00)

string
Example
{
"url": "https://example.com/register/"
}

Returns one or multiple error messages.

Media typeapplication/json